[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookup.ControlItems

Contains the items displayed for the lookup control.

## Declaration

Source position: dbctrls.pp line 161

`public property TDBLookup.ControlItems : TStrings read FControlItems write FControlItems;`

## Description

ControlItems is a TStrings property used to store the display values for items in the lookup control.

Values in ControlItems are passed as an argument to the Initialize method called when the value in Active is changed. It is updated when values are retrieved from a linked lookup dataset using the ListField defined for the control. ControlItems is cleared if the linked lookup dataset does not contain any records; an empty value is added to the property when EmptyValue and DisplayEmpty have been assigned in the control.